Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: Dreamboard. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

Mittwoch, 10. Dezember 2008, 12:11

Error building dvdplayer - enigma2-2.6git

Hi!
Building a 2.6git image, following what indicated here:

Zitat

commit 5b37109a8002420247a5abf46841c95365e88036
Author: ghost <andreas.monzner at multimedia-labs.de>
Date: Mon Dec 8 13:10:44 2008 +0100
follow libdreamdvd changes to support scaling (needs libdreamdvd >= 20081208)

changing SRCDATE = "20080908" in SRCDATE = "20081208" into ../openembedded/packages/libdreamdvd/libdreamdvd.bb
and building after a -cclean world, I get the following error:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
enigma2-2.6git20081211-r0/trunk/include \ 	
-Wall -W servicedvd.cpp -shared -fPIC -Wl,-soname,servicedvd.so -o servicedvd.so \
 	-L/home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib -Wl,-rpath-link,/home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib -Wl,-O1 -pthread -L/home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib -lpython2.5     -ldreamdvd
 In file included from /home/dario/build/dm800/build/tmp/staging/mipsel-linux/include/sigc++-1.2/sigc++/node.h:21,
                  from /home/dario/build/dm800/build/tmp/staging/mipsel-linux/include/sigc++-1.2/sigc++/slot.h:28,
                  from /home/dario/build/dm800/build/tmp/staging/mipsel-linux/include/sigc++-1.2/sigc++/sigc++.h:26,
                  from /home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/include/libsig_comp.h:4,
                  from /home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/base/eerror.h:7,
                  from servicedvd.cpp:2:
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:35:1: warning: "PACKAGE" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:41:1: warning: "PACKAGE_NAME" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:44:1: warning: "PACKAGE_STRING" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:47:1: warning: "PACKAGE_TARNAME" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:50:1: warning: "PACKAGE_VERSION" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/lib/sigc++-1.2/include/sigcconfig.h:89:1: warning: "VERSION" redefined
 <command line>:1:1: warning: this is the location of the previous definition
 /home/dario/build/dm800/build/tmp/staging/mipsel-linux/include/sigc++-1.2/sigc++/object.h:78: warning: unused parameter 'o'
 /home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/gui/ewidget.h:123: warning: unused parameter 'n'
 /home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/dvb/idvb.h:507: warning: unused parameter 'callback'
 servicedvd.cpp: In member function 'void eServiceDVD::gotMessage(int)':
 servicedvd.cpp:181: error: 'ddvd_get_last_blit_area' was not declared in this scope
 make[6]: *** [servicedvd.so] Error 1
 make[6]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/python/Plugins/Extensions/DVDPlayer/src'
 make[5]: *** [all-recursive] Error 1
 make[5]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/python/Plugins/Extensions/DVDPlayer'
 make[4]: *** [all-recursive] Error 1
 make[4]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/python/Plugins/Extensions'
 make[3]: *** [all-recursive] Error 1
 make[3]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/python/Plugins'
 make[2]: *** [all-recursive] Error 1
 make[2]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib/python'
 make[1]: *** [all-recursive] Error 1
 make[1]: Leaving directory `/home/dario/build/dm800/build/tmp/work/enigma2-2.6git20081211-r0/trunk/lib'
 make: *** [all-recursive] Error 1
 + die oe_runmake failed
 + oefatal oe_runmake failed
 + echo FATAL: oe_runmake failed
 FATAL: oe_runmake failed
 + exit 1

Any idea???
Thx
Best regards
dm500s - dm600 - dm7025ss - dm800 - dm8000 - dm500hd
Ubuntu 9.10 - Karmic Koala

- LINSAT TEAM -

2

Mittwoch, 10. Dezember 2008, 12:45

RE: Error building dvdplayer - enigma2-2.6git

bump srcdate... ddvd_get_last_blit_area was not present until 2008/12/09, so you need at least srcdate >= 20081210.
why not just stick with an unchanged tree here? both currently have a srcdate of 20081211 in openembedded ;)

*EDIT* sorry, my mistake. was not pushed upstream yet. so just change the srcdate as I suggested manually :)
Homescreen eurer Apple-Geräte noch nicht voll genug?

dreaMote: Fernbedienung für Dreamboxen
Mobile WOL: Wake-on-LAN Client für iOS mit optionalem Widget
My Home Remote: Fernkontrolle für Homematic CCU/CCU2 optimiert für mobile Benutzung

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »ritzMo« (10. Dezember 2008, 12:50)


3

Mittwoch, 10. Dezember 2008, 13:59

Yes, you have to set the srcdate inside libdreamdvd to 20081211, the bitbake file is not updated in oe yet. You need a newer libdreamdvd for the changes that has been comitted into e2 last night.

4

Mittwoch, 10. Dezember 2008, 15:01

RE: Error building dvdplayer - enigma2-2.6git

Zitat

Originally posted by ritzMo
bump srcdate... ddvd_get_last_blit_area was not present until 2008/12/09, so you need at least srcdate >= 20081210.
why not just stick with an unchanged tree here? both currently have a srcdate of 20081211 in openembedded ;)

*EDIT* sorry, my mistake. was not pushed upstream yet. so just change the srcdate as I suggested manually :)

Zitat

Originally posted by Seddi
Yes, you have to set the srcdate inside libdreamdvd to 20081211, the bitbake file is not updated in oe yet. You need a newer libdreamdvd for the changes that has been comitted into e2 last night.


Thank you very much to both of you!
I changed scrdate as suggested, and the magic came true... :]

I would have not ever done by myselves... :rolleyes: ... but I'm trying to learn... ;)
dm500s - dm600 - dm7025ss - dm800 - dm8000 - dm500hd
Ubuntu 9.10 - Karmic Koala

- LINSAT TEAM -